#include "datamanager.h"

DataManager::DataManager(QObject *parent)
    : QObject{parent}
{
    qDebug() << "进入DataManager的构造函数";
    tcpclient = TCPClient::getInstance();
    connect(tcpclient,&TCPClient::TCPClientConnected,this,&DataManager::TCPClientConnected);
    connect(tcpclient,&TCPClient::TCPClientDisconnected,this,&DataManager::TCPClientDisconnected);
    tcpclient->configAndrun();
    tcpclient->setCallBack(recv_from_server);
    protocol = Protocol::getInstance();

}

DataManager* DataManager::getInstance()
{
    static DataManager datamanager_instance;
    return &datamanager_instance;
}

void DataManager::TCPClientConnected()
{
    connect_flag = true;
    qDebug() << "emit connect_to_server successfully";
    emit connect_to_server();
}

void DataManager::TCPClientDisconnected()
{
    connect_flag = false;
    qDebug() << "emit disconnect_from_server successfully";
    emit disconnect_from_server();
}

void DataManager::recv_from_server(QString &peerAddress, quint16 peerPort, QByteArray &data)
{
    //
}

void DataManager::Register(QString username,QString password)
{

}

void DataManager::signin_request(QString username,QString password)
{

}

void DataManager::send_text(QString text)
{

}

void DataManager::send_file_to_all(QByteArray file)
{

}

void DataManager::send_file_private(QByteArray file,QString name)
{

}

void DataManager::account_cancellation(QString username)
{

}
