#ifndef SIGNUP_H
#define SIGNUP_H

#include <QWidget>
#include <QPixmap>
#include <QMessageBox>
#include <QDebug>
#include <QGraphicsDropShadowEffect>
#include <QEvent>
#include <QPainter>
#include <QMouseEvent>
#include <QPaintEvent>
#include <QMovie>
#include <QString>

namespace Ui {
class Signup;
}

class Signup : public QWidget
{
    Q_OBJECT

public:
    explicit Signup(QWidget *parent = nullptr);
    ~Signup();
    void paintEvent(QPaintEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
    void mousePressEvent(QMouseEvent *event);

signals:
    void Register(QString username,QString password);
    void show_login_ui();

private slots:
    void on_btn_sure_clicked();
    void on_btn_return_clicked();

private:
    Ui::Signup *ui;
    QPoint point;
};

#endif // SIGNUP_H
